/*flutter_optimizer_gaussian.h*/
/*
* Copyright 2014 IPOL Image Processing On Line http://www.ipol.im/
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/// Functions for the gaussian case :


void gaussian_optimiser(double* code, double sigma, int code_length,
                        double deltat);

double gaussian_integrand(double velocity_max, double deltat, double xi,
                          int k);

double gaussian_w(double sigma, double xi);

double gaussian_w_integrand(double velocity,double sigma,
                            double xi);
