/*flutter_optitmizer_uniform.h*/
/*
* Copyright 2014 IPOL Image Processing On Line http://www.ipol.im/
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
///Functions for the uniform motion model:


void uniform_optimiser(double* code,double motion_model_parameter,
                       int code_length, double deltat);

double uniform_w(double motion_model_parameter, double xi);

double uniform_w_integrand(double v, double xi);

double uniform_integrand(double motion_model_parameter,double deltat, double xi,
                         int k);
